<template>
  <v-container grid-list-md>
    <v-layout 
      row 
      wrap>
      <v-flex 
        xs12 
        md6>
        <v-layout row>
          <v-flex 
            xs12 
            md6 
            wrap>
            <!--     <v-overflow-btn
					      :items="dropdown_font"
					      label="Select font"
					      hide-details
					    ></v-overflow-btn> -->
          </v-flex>
          <v-flex 
            xs12 
            md6 
            wrap/>
        </v-layout>
        <v-layout row>
          <!-- <v-btn @click="change">test</v-btn> -->
          <v-flex xs12>
            <monthly-income 
              :chart-data="temperatures" 
              :data="temperatures"/>
              <!--         <v-card
					          color="grey lighten-1"
					          height="300px"
					        ></v-card> -->
              <!-- 						<chartist
						    ratio="ct-major-second"
						    type="Line"
						    :data="chartData"
						    :options="chartOptions" style="max-height: 300px">
						</chartist> -->
          </v-flex>
        </v-layout>
      </v-flex>

      <v-flex 
        xs12 
        md6>
        <v-layout row>
          <v-flex 
            xs6 
            ma0>
            <span class="ma0">Progress</span>
          </v-flex>
          <v-flex 
            xs6 
            class="text-xs-right ma0">
            <span class="text-xs-right ma0">100%</span>
          </v-flex>
        </v-layout>
        <v-progress-linear :indeterminate="true"/>
        <v-layout row>
          <v-flex 
            xs6 
            ma0>
            <span class="ma0">Speed</span>
          </v-flex>
          <v-flex 
            xs6 
            class="text-xs-right ma0">
            <span class="text-xs-right ma0">100 / 500%</span>
          </v-flex>
        </v-layout>
        <v-progress-linear 
          :indeterminate="false" 
          value="25"/>
        <v-layout row>
          <v-flex 
            xs6 
            ma0>
            <span class="ma0">Flow rate</span>
          </v-flex>
          <v-flex 
            xs6 
            class="text-xs-right ma0">
            <span class="text-xs-right ma0">100 / 500%</span>
          </v-flex>
        </v-layout>
        <v-progress-linear 
          :indeterminate="false" 
          value="25"/>

        <v-layout row>
          <v-flex 
            xs6 
            ma0>
            <span class="ma0">Fan</span>
          </v-flex>
          <v-flex 
            xs6 
            class="text-xs-right ma0">
            <span class="text-xs-right ma0">50%</span>
          </v-flex>
        </v-layout>
        <v-progress-linear 
          :indeterminate="false" 
          value="50"/>

      </v-flex>
    </v-layout>

    <v-layout row/>
  </v-container>
</template>

<script>
import {bus} from '@js/bus'

import MonthlyIncome from '@components/MonthlyIncome'

export default {


	components: {
		MonthlyIncome
	},

	data() {
		return {

			temperatures: {
				labels: ['January', 'February', 'March', 'April', 'May', 'June', 'July'],
				datasets: [{
					label: 'Unfilled',
					fill: false,
					//backgroundColor: window.chartColors.blue,
					//borderColor: window.chartColors.blue,
					data: [
						this.getRandomInt(),
						this.getRandomInt(),
						this.getRandomInt(),
						this.getRandomInt(),
						this.getRandomInt(),
						this.getRandomInt(),
						this.getRandomInt(),
						this.getRandomInt(),
						this.getRandomInt(),

					],
				}]
			}

		       	/*dropdown_font: [
		          { text: 'Arial' },
		          { text: 'Calibri' },
		          { text: 'Courier' },
		          { text: 'Verdana' }
		        ],
		        chartData: {
		            labels: ["00:01", "00:02", "00:04", "00:10"],
		            series:[[0, 210, 210, 0], [0, 65, 55, 0]]
		        },
		        chartOptions: {
		            lineSmooth: true,
		            showArea: true
		        }*/
		    }
	},

	methods: {
		change(){
			this.temperatures = {
				labels: ['January', 'February', 'March', 'April', 'May', 'June', 'July'],
				datasets: [{
					label: 'Unfilled',
					fill: false,
					//backgroundColor: window.chartColors.blue,
					//borderColor: window.chartColors.blue,
					data: [
						this.getRandomInt(),
						this.getRandomInt(),
						this.getRandomInt(),
						this.getRandomInt(),
						this.getRandomInt(),
						this.getRandomInt(),
						this.getRandomInt(),
						this.getRandomInt(),
						this.getRandomInt(),

					],
				}]
			}

			console.log(this.temperatures.datasets)
		},

		    getRandomInt () {
		        return Math.floor(Math.random() * (150)) + 20
		      }
	}
}
</script>